Description

When an argument contains spaces (e.g. --search "... ...") then it's not being passed through ruby193-ruby and 'scl' correctly, causing

an error:

# hammer puppet-class list --search "name = ntp" 

Error: too many arguments

See: 'hammer puppet-class list --help'

Related issues:

Related to Foreman - Bug #11170: foreman-rake: setting complex parameters (ar... Closed 07/21/2015

Related to Packaging - Feature #8979: Package hammer with ruby193 scl Closed 01/15/2015

Associated revisions

Revision bea14a70 - 08/04/2015 06:53 AM - Dominic Cleal

fixes #11275, #11170 - pass spaces/quotes in args through SCL wrappers

Changes the ruby193/SCL wrappers to create a temporary file containing

all original arguments from the ruby193-* command and then executes it

via "scl enable".  This fixes two quoting-related bugs with these

wrappers.

1. #11170: the "scl enable" command has a bug (RHBZ#1248418) where it

internally uses temporary shell scripts and doesn't escape double

quotes, so JSON strings can't be passed through as arguments.

2. #11275: the ruby-wrappers passed through arguments word-by-word,

causing arguments containing spaces to be split up.  It should have

used the special quoted "$@" variable.

Revision 930d32d9 - 08/05/2015 03:06 AM - Dominic Cleal

Merge pull request #726 from domcleal/rpm/develop-11275-scl-args

fixes #11275, #11170 - pass spaces/quotes in args through SCL wrappers

History

#1 - 08/03/2015 04:09 AM - Dominic Cleal

- Related to Bug #11170: foreman-rake: setting complex parameters (arrays, hashes) broken? added

#2 - 08/03/2015 04:09 AM - Dominic Cleal

- Related to Feature #8979: Package hammer with ruby193 scl added

#3 - 08/04/2015 06:22 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman-packaging/pull/726 added
- Pull request deleted ()

#4 - 08/04/2015 06:23 AM - Dominic Cleal

- Assignee set to Dominic Cleal

#5 - 08/26/2015 08:02 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
